--[[
	VERSION 1.3	by Lyn modified by Saryel
	CREDITS:	evl and his awesome evl_clock to get lynstats "ace-less"
--]]
local addon = CreateFrame("Button", "LynStats", UIParent)

-- the x-files aka. configuration
local frame_anchor = "BOTTOMRIGHT"
local pos_x = 0
local pos_y = 2
local text_anchor = "BOTTOMRIGHT"
local font = "Fonts\\ARIALN.ttf"
local size = 10
--local color = { r=0.5, g=0.5, b=0.5 }
local color = { r=0.5, g=0.6, b=0.8 }
local shadow = true
local time24 = true

-- reinforcements!
local mail, hasmail, ticktack, lag, fps, ep, xp_cur, xp_max, text, memory, entry, i, nr, xp_rest, ep, gold, silver, copper

-- format memory stuff
local memformat = function(number)
	if number > 1000 then
		return string.format("%.2f mb", (number / 1000))
	else
		return string.format("%.1f kb", floor(number))
	end
end

-- ordering
local addoncompare = function(a, b)
	return a.memory > b.memory
end

-- the allmighty
function addon:new()
	self:SetPoint(frame_anchor, UIParent, frame_anchor, pos_x, pos_y)
	self:SetWidth(130)
	self:SetHeight(13)
	
	text = self:CreateFontString(nil, "OVERLAY")
	text:SetFont(font, size)
	if shadow == true then
		text:SetShadowOffset(1,-1)
	else
		text:SetShadowOffset(0,0)
	end
	text:SetPoint(text_anchor, self)
	text:SetTextColor(color.r, color.g, color.b)
	
	self:SetScript("OnUpdate", self.update)
	self:SetScript("OnEnter", self.enter)
	self:SetScript("OnLeave", function() GameTooltip:Hide() end)
end

-- update
local last = 0
function addon:update(elapsed)
	last = last + elapsed

	if last > 1 then
		-- mail stuff
		hasmail = (HasNewMail() or 0);
		if hasmail > 0 then
			mail = "new!  "
		else
			mail = ""
		end
		
		-- date thingy
		if time24 == true then
			ticktack = date("%H'%M")
		else
			ticktack = date("%I'%M")
		end
		ticktack = "|c00ffffff"..ticktack.."|r "
		
		-- fps crap
		fps = GetFramerate()
		fps = "|c00ffffff"..floor(fps).."|rfps  "
		
		-- right down downright + punch
		_, _, lag = GetNetStats()
		lag = "|c00ffffff"..lag.."|rms  "
		

		-- xp stuff
		xp_cur = UnitXP("player")
		xp_max = UnitXPMax("player")
		xp_rest = GetXPExhaustion("player") or nil
		if UnitLevel("player") < MAX_PLAYER_LEVEL then
			ep = "|c00ffffff"..floor(xp_cur / (xp_max / 100)).."|r"
			if xp_rest ~= nil then	
				ep = ep.."xp|c00ffffff(r)|r  "
			else
				ep = ep.."xp  "
			end
		else
			ep = ""
		end
		
		-- bags
		used = 0 
		maximum = 0
		for bag=0,4 do
			if GetBagName(bag) and select(8, GetItemInfo(GetBagName(bag))) ~= "INVTYPE_QUIVER" then
				for slot=1,GetContainerNumSlots(bag) do
					if (GetContainerItemLink(bag,slot)) then
						used = used + 1
						maximum = GetContainerNumSlots(0) + GetContainerNumSlots(1) + GetContainerNumSlots(2) + GetContainerNumSlots(3) + GetContainerNumSlots(4)
						bags = used.."|c00ffffff/|r"..maximum.."  "
					end
				end
			end
		end
		
		--money
		if strlen(GetMoney()) > 4 then
			moneypool = GetMoney()
			gold = floor(moneypool/10000)
			moneypool = (moneypool-(gold*10000))
			silver = floor(moneypool/100)
			moneypool = (moneypool-(silver*100))
			copper = moneypool
			money = "|cFFFFB311"..gold.."|r |cFFE1D3CB"..silver.."|r |cFFE16B47"..copper.."|r "
		elseif strlen(GetMoney()) > 2 then
			moneypool = GetMoney()
			silver = floor(moneypool/100)
			moneypool = (moneypool-(silver*100))
			copper = moneypool
			money = "|cFFE1D3CB"..silver.."|r |cFFE16B47"..copper.."|r "
		else
			copper=GetMoney()
			money = "|cFFE16B47"..copper.."|r "
		end
		
		-- reset timer
		last = 0
		
		-- the magic!
		text:SetText(ticktack..lag..fps..bags..money..ep..mail)
	end
end



--[[
	ADDON LIST
--]]
function addon:enter()
	GameTooltip:SetOwner(self, "ANCHOR_NONE")
	GameTooltip:SetPoint("BOTTOMRIGHT", UIParent, "BOTTOMRIGHT", -20, 20)
	addons = {}
	total = 0
	UpdateAddOnMemoryUsage()
	for i=1, GetNumAddOns(), 1 do
			memory = GetAddOnMemoryUsage(i)
			entry = {name = GetAddOnInfo(i), memory = memory}
			table.insert(addons, entry)
			total = total + memory
	end
	table.sort(addons, addoncompare)
	for _, entry in pairs(addons) do
		GameTooltip:AddDoubleLine(entry.name, memformat(entry.memory), 1, 1, 1, 1, 1, 1)
	end
	GameTooltip:AddLine("----------------------------------------------------------------", 1, 1, 1)
	GameTooltip:AddDoubleLine("Total", memformat(total), color.r, color.g, color.b, color.r, color.g, color.b)
	GameTooltip:AddDoubleLine("-Blizzard", memformat((collectgarbage("count"))-total), color.r, color.g, color.b, color.r, color.g, color.b)
	GameTooltip:Show()
end


LynStats:SetScript("OnMouseDown", function()
	collectgarbage("collect") -- Force garbage collection
	DEFAULT_CHAT_FRAME:AddMessage("Totally |c00ff0000"..floor((collectgarbage("count"))+0.5).."|rKBs of Lua-Code in use.")
end)

-- and... go!
addon:new()