----------------------------------------------
-- Config
----------------------------------------------
-- Minimap
local scale = 0.87                -- Scale
local position = "TOPRIGHT"     -- Anchor
local position_x = -13          -- X Offset
local position_y = -12          -- Y Offset

-- Borders
local borders = true		-- Enables or disables borders. True/False
local color2 = {r = 0, g = 0, b = 0} -- Border color

-- Quest 
local qparent = Minimap         -- Use "Minimap" or "UIParent". Defines what frame the anchor position is relative to.
local qanchor = "BOTTOMRIGHT"   -- Where to anchor on the qparent ^
local qposition_x = 0           -- X Offset
local qposition_y = -80         -- Y Offset

----------------------------------------------
-- Config End
----------------------------------------------
local m = Minimap
local frameborder = 'Interface\\Buttons\\WHITE8x8'
local font = "Interface\\AddOns\\bMinimap\\font.ttf"
local mailicon = "Interface\\AddOns\\bMinimap\\mail"
local color = {r = 0.0, g = 0.0, b = 0.0}
local pos = 2
----------------------------------------------
-- Border
----------------------------------------------
    -- (Special thanks to iMinimap for border script) --
if (borders==true) then
    local TopLeft = m:CreateTexture(nil, "BORDER")
    TopLeft:SetTexture(frameborder)
    TopLeft:SetPoint("TOPLEFT", m, -pos, pos)
    TopLeft:SetWidth(scale) TopLeft:SetHeight(scale)
    TopLeft:SetVertexColor(color.r,color.g,color.b)
    TopLeft:SetDrawLayer("BORDER")
    local TopRight = m:CreateTexture(nil, "BORDER")
    TopRight:SetTexture(frameborder)
    TopRight:SetPoint("TOPRIGHT", m, pos, pos)
    TopRight:SetWidth(scale) TopRight:SetHeight(scale)
    TopRight:SetVertexColor(color.r,color.g,color.b)
    TopRight:SetDrawLayer("BORDER")
    local BottomLeft = m:CreateTexture(nil, "BORDER")
    BottomLeft:SetTexture(frameborder)
    BottomLeft:SetPoint("BOTTOMLEFT", m, -pos, -pos)
    BottomLeft:SetWidth(scale) BottomLeft:SetHeight(scale)
    BottomLeft:SetVertexColor(color.r,color.g,color.b)
    BottomLeft:SetDrawLayer("BORDER")
    local BottomRight = m:CreateTexture(nil, "BORDER")
    BottomRight:SetTexture(frameborder)
    BottomRight:SetPoint("BOTTOMRIGHT", m, pos, -pos)
    BottomRight:SetWidth(scale) BottomRight:SetHeight(scale)
    BottomRight:SetVertexColor(color.r,color.g,color.b)
    BottomRight:SetDrawLayer("BORDER") 
    local TopEdge = m:CreateTexture(nil, "BORDER")
    TopEdge:SetTexture(frameborder)
    TopEdge:SetPoint("TOPLEFT", TopLeft, "TOPRIGHT")
    TopEdge:SetPoint("TOPRIGHT", TopRight, "TOPLEFT")
    TopEdge:SetHeight(scale)
    TopEdge:SetVertexColor(color.r,color.g,color.b)
    TopEdge:SetDrawLayer("BORDER")
    local BottomEdge = m:CreateTexture(nil, "BORDER")
    BottomEdge:SetTexture(frameborder)
    BottomEdge:SetPoint("BOTTOMLEFT", BottomLeft, "BOTTOMRIGHT")
    BottomEdge:SetPoint("BOTTOMRIGHT", BottomRight, "BOTTOMLEFT")
    BottomEdge:SetHeight(scale)
    BottomEdge:SetVertexColor(color.r,color.g,color.b)
    BottomEdge:SetDrawLayer("BORDER") 
    local LeftEdge = m:CreateTexture(nil, "BORDER")
    LeftEdge:SetTexture(frameborder)
    LeftEdge:SetPoint("TOPLEFT", TopLeft, "BOTTOMLEFT")
    LeftEdge:SetPoint("BOTTOMLEFT", BottomLeft, "TOPLEFT")
    LeftEdge:SetWidth(scale)
    LeftEdge:SetVertexColor(color.r,color.g,color.b)
    LeftEdge:SetDrawLayer("BORDER")    
    local RightEdge = m:CreateTexture(nil, "BORDER")
    RightEdge:SetTexture(frameborder)
    RightEdge:SetPoint("TOPRIGHT", TopRight, "BOTTOMRIGHT")
    RightEdge:SetPoint("BOTTOMRIGHT", BottomRight, "TOPRIGHT")
    RightEdge:SetWidth(scale)
    RightEdge:SetVertexColor(color.r,color.g,color.b)
    RightEdge:SetDrawLayer("BORDER")

    Minimap:SetBackdrop({bgFile = [=[Interface\ChatFrame\ChatFrameBackground]=], level = '0', insets = {top = -1, left = -1, bottom = -1, right = -1}})
    Minimap:SetBackdropColor(color2.r,color2.g,color2.b)
end

Minimap:SetMaskTexture('Interface\\ChatFrame\\ChatFrameBackground')
local mc = MinimapCluster
m:SetScale(scale)
m:SetFrameStrata("MEDIUM")
m:ClearAllPoints()
m:SetPoint(position, UIParent, position_x, position_y)
mc:ClearAllPoints()
mc:SetAllPoints(m)

----------------------------------
-- Hide Shit
----------------------------------
MinimapBorder:Hide()
MinimapBorderTop:Hide()
MinimapZoomIn:Hide()
MinimapZoomOut:Hide()
MiniMapVoiceChatFrame:Hide()
GameTimeFrame:Hide()
MinimapZoneTextButton:Hide()
MiniMapTracking:Hide()
MiniMapMailFrame:ClearAllPoints()
MiniMapMailFrame:SetPoint("TOPRIGHT", Minimap, 3, 4)
MiniMapMailBorder:Hide()
MiniMapMailIcon:SetTexture(mailicon)
MinimapNorthTag:SetAlpha(0)

----------------------------------
-- Move Shit
----------------------------------
WatchFrame:ClearAllPoints()	
WatchFrame.ClearAllPoints = function() end
WatchFrame:SetPoint(position, qparent, qanchor, qposition_x, qposition_y)
WatchFrame.SetPoint = function() end
WatchFrame:SetClampedToScreen(true)

MiniMapBattlefieldFrame:ClearAllPoints()
MiniMapBattlefieldFrame:SetPoint("BOTTOMRIGHT", Minimap, 3, 0)
MiniMapBattlefieldFrame:SetFrameLevel(3)
MiniMapBattlefieldBorder:Hide()
MiniMapWorldMapButton:Hide()
MiniMapInstanceDifficulty:ClearAllPoints()
MiniMapInstanceDifficulty:SetParent(Minimap)
MiniMapInstanceDifficulty:SetPoint("TOPLEFT", Minimap, "TOPLEFT", 0, 0)
function UpdateLFG()
	MiniMapLFGFrame:ClearAllPoints()
	MiniMapLFGFrame:SetPoint("BOTTOMLEFT", Minimap, "BOTTOMLEFT", 2, 1)
    LFDSearchStatus:ClearAllPoints()
    LFDSearchStatus:SetPoint(position, MiniMapLFGFrame, position)
end
MiniMapLFGFrameBorder:SetAlpha(0)
DropDownList1:SetClampedToScreen(true)

----------------------------------
-- Time
----------------------------------
-- Time Frame
local f = CreateFrame("Frame", nil, UIParent)
f:RegisterEvent("ADDON_LOADED")
f:SetScript("OnEvent", function(self, event, name)
    if name == "Blizzard_TimeManager" then
        TimeManagerClockButton:Hide()
        TimeManagerClockButton:SetScript("OnShow", function(self)
            TimeManagerClockButton:Hide()
        end)
    end
end)
----------------------------------
-- Set Clicks
----------------------------------
Minimap:SetScript('OnMouseUp', function(self, button)
    if (button == 'RightButton') then
        ToggleDropDownMenu(1, nil, MiniMapTrackingDropDown, self, - (Minimap:GetWidth() * 0.7), -3)
    elseif (button == 'MiddleButton') then
        ToggleCalendar()
    else
        Minimap_OnClick(self)
    end
end)
function GetMinimapShape() return 'SQUARE' end