﻿local addon, ns = ...

local C = LibStub("gDB-1.0"):NewDataBase("gBags: Colors")
assert(C, "Couldn't find an instance of gDB-1.0")

-- various
C["realm"] 					= { 1.00; 1.00; 1.00; }
C["guild"] 					= { 1.00; 1.00; 0.70; }
C["bank"]					= { 0.35, 0.35, 0.75, 1.00 }

C["target"] 				= { 0.95; 0.95; 0.65; 0.85 }
C["threat"] 				= { 0.95; 0.05; 0.05; 0.75 }
C["lessthreat"]				= { 0.95; 0.65; 0.05; 0.75 }

C["shield"] 				= { 0.95; 0.35; 0.05; 0.75 }
C["rare"] 					= { 0.00; 0.44; 0.87; 0.75 }; -- same as rare quality loot
C["boss"] 					= { r = 1.00; g = 0.00; b = 0.00; }


-- health and power bars
C["health"] 				= { 0.30; 0.90; 0.30; 1.00 }

-- panels and skinned frames & buttons
C["index"] 					= { 1.00; 1.00; 1.00 }
C["value"] 					= { 1.00; 0.82; 0.00 }
C["background"] 			= { 0.00; 0.00; 0.00 }
C["backdrop"] 				= { 0.55; 0.55; 0.55 }
C["border"] 				= { 0.15; 0.15; 0.15 }
C["overlay"] 				= { 0.15; 0.15; 0.15 } -- used to be 0.25, but I'm in a dark mood now
C["hovercolor"] 			= { 0.65; 0.65; 0.65 } -- 0.45
C["hoverbordercolor"] 		= { 0.95; 0.95; 0.65 } -- 0.35
C["shadow"] 				= { 0.00; 0.00; 0.00; 3/4 }

-- LFD role coloring. Experimental.
C["role"] = {
	["tank"] 				= { 0.00; 0.25; 0.45 };
	["dps"] 				= { 0.45; 0.00; 0.00 };
	["heal"] 				= { 0.00; 0.45; 0.00 };
}

-- actionbutton borders
C["normal"] 				= { r = 0.15; g = 0.15; b = 0.15; } -- normal state, when nothing else applies

-- actionbutton icons
C["equipped"] 				= { r = 0.10; g = 0.65; b = 0.10; } -- equipped items
C["range"] 					= { r = 0.85; g = 0.10; b = 0.10; } -- target is out of range
C["mana"] 					= { r = 0.10; g = 0.10; b = 0.85; } -- you haven't enough mana
C["usable"] 				= { r = 1.00; g = 1.00; b = 1.00; } -- an item or ability is usable 
C["unusable"] 				= { r = 0.35; g = 0.35; b = 0.35; } -- an item or ability is not usable

-- the following only apply if panels are used instead of textures for actionbuttons
C["checked"] 				= { r = 0.70; g = 0.90; b = 1.00; } -- when checked (active stance, etc)
C["flash"] 					= { r = 1.00; g = 0.00; b = 0.00; } -- hell if I know
C["hover"] 					= { r = 1.00; g = 1.00; b = 1.00; } -- when hovering over a button
C["pushed"] 				= { r = 1.00; g = 0.82; b = 0.00; } -- when pushing a button

-- damage feedback for unitframes
C["feedbackcolors"] = {
	DAMAGE 					= { 0.69; 0.31; 0.31 };
	CRUSHING 				= { 0.69; 0.31; 0.31 };
	CRITICAL 				= { 0.69; 0.31; 0.31 };
	GLANCING 				= { 0.69; 0.31; 0.31 };
	STANDARD 				= { 0.84; 0.75; 0.65 };
	IMMUNE 					= { 0.84; 0.75; 0.65 };
	ABSORB 					= { 0.84; 0.75; 0.65 };
	BLOCK 					= { 0.84; 0.75; 0.65 };
	RESIST 					= { 0.84; 0.75; 0.65 };
	MISS 					= { 0.84; 0.75; 0.65 };
	HEAL 					= { 0.33; 0.59; 0.33 };
	CRITHEAL 				= { 0.33; 0.59; 0.33 };
	ENERGIZE 				= { 0.31; 0.45; 0.63 };
	CRITENERGIZE		 	= { 0.31; 0.45; 0.63 };
}

-- our own class colors
C["RAID_CLASS_COLORS"] = setmetatable({
	["DEATHKNIGHT"] 		= { r = 0.77 * 0.85; g = 0.12 * 0.85; b = 0.23 * 0.85 };
	["DRUID"] 				= { r = 1.00 * 0.85; g = 0.49 * 0.85; b = 0.04 * 0.85 };
	["HUNTER"] 				= { r = 0.67 * 0.85; g = 0.83 * 0.85; b = 0.45 * 0.85 };
	["MAGE"] 				= { r = 0.41 * 0.85; g = 0.80 * 0.85; b = 0.94 * 0.85 };
	["PALADIN"] 			= { r = 0.96 * 0.85; g = 0.55 * 0.85; b = 0.73 * 0.85 };
	["PRIEST"] 				= { r = 0.90 * 0.85; g = 0.90 * 0.85; b = 0.90 * 0.85 };
	["ROGUE"] 				= { r = 1.00 * 0.85; g = 0.96 * 0.85; b = 0.41 * 0.85 };
	["SHAMAN"] 				= { r = 0.00 * 0.85; g = 0.44 * 0.85; b = 0.87 * 0.85 };
	["WARLOCK"] 			= { r = 0.58 * 0.85; g = 0.51 * 0.85; b = 0.79 * 0.85 };
	["WARRIOR"] 			= { r = 0.78 * 0.85; g = 0.61 * 0.85; b = 0.43 * 0.85 };
}, { __index = RAID_CLASS_COLORS })

C["FACTION_BAR_COLORS"] = setmetatable({
	[1] = { r = 0.75; g = 0.10; b = 0.00 };
	[2] = { r = 0.75; g = 0.10; b = 0.00 };
	[3] = { r = 0.85; g = 0.40; b = 0.00 };
	[4] = { r = 0.90; g = 0.70; b = 0.10 };
	[5] = { r = 0.00; g = 0.60; b = 0.10 };
	[6] = { r = 0.00; g = 0.60; b = 0.10 };
	[7] = { r = 0.00; g = 0.60; b = 0.10 };
	[8] = { r = 0.00; g = 0.60; b = 0.10 };
}, { __index = FACTION_BAR_COLORS })

C["PowerBarColor"] = setmetatable({
	["AMMOSLOT"] 		= { r = 0.80 * 0.85; g = 0.60 * 0.85; b = 0.00 * 0.85 };
	["ECLIPSE"] 		= { negative = { r = 0.30; g = 0.52; b = 0.90 };  positive = { r = 0.80; g = 0.82; b = 0.60 }};
	["ENERGY"] 			= { r = 1.00 * 0.85; g = 1.00 * 0.85; b = 0.00 * 0.85 };
	["FOCUS"] 			= { r = 1.00 * 0.85; g = 0.50 * 0.85; b = 0.25 * 0.85 };
	["FUEL"] 			= { r = 0.00 * 0.85; g = 0.55 * 0.85; b = 0.50 * 0.85 };
	["HOLY_POWER"] 		= { r = 0.95 * 0.85; g = 0.90 * 0.85; b = 0.60 * 0.85 };
	["MANA"] 			= { r = 0.00 * 0.85; g = 0.00 * 0.85; b = 1.00 * 0.85 };
	["RAGE"] 			= { r = 1.00 * 0.85; g = 0.00 * 0.85; b = 0.00 * 0.85 };
	["RUNES"] 			= { r = 0.50 * 0.85; g = 0.50 * 0.85; b = 0.50 * 0.85 };
	["RUNIC_POWER"] 	= { r = 0.00 * 0.85; g = 0.82 * 0.85; b = 1.00 * 0.85 };
	["SOUL_SHARDS"] 	= { r = 0.50 * 0.85; g = 0.32 * 0.85; b = 0.55 * 0.85 };
	["UNUSED"] 			= { r = 0.00 * 0.85; g = 1.00 * 0.85; b = 1.00 * 0.85 };
}, { __index = PowerBarColor })

-- combopoints for rogues/ferals
C["combopointcolors"] = {
	[1] 					= { 0.89; 0.00; 0.00 };
	[2] 					= { 0.89; 0.35; 0.00 };
	[3] 					= { 0.89; 0.65; 0.00 };
	[4] 					= { 0.89; 0.89; 0.00 };
	[5] 					= { 0.00; 0.89; 0.00 };
}

-- shaman totem colors
C["totem"] = {
	[EARTH_TOTEM_SLOT] 		= { r = 0.29; g = 0.56; b = 0.16; }; 
	[FIRE_TOTEM_SLOT] 		= { r = 0.81; g = 0.39; b = 0.13; }; 
	[WATER_TOTEM_SLOT] 		= { r = 0.22; g = 0.47; b = 0.75; };
	[AIR_TOTEM_SLOT] 		= { r = 0.52; g = 0.22; b = 0.90; }; 
}

