﻿local L = LibStub("gLocale-1.0"):NewLocale((select(1, ...)), "enUS")
if not L then return end

--[[
	enUS.lua
	
	This is the default locale. 
	Everything not specified in any other locale file will be retrieved from here. 
	
	This file should also serve as a template when translating to other locales.
	
	
	NEVER change the index names located between the square brackets in L["EXAMPLENAME"]
	NEVER change anything within escape sequences or search patterns, eg:
		"(|Hplayer.+|h) has earned the achievement (.+)!"
		- only "has earned the achievement" should be translated here
	NEVER change anything NOT between " "
		- L["AFK"] = AFK   <<-- nothing to localize here, as it contains no strings
		
	I proof read all submitted locales before releasing them, though, so major errors should be avoided!
	
	
	Enjoy!
]]--

--------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------
--
--		START OF V2 LOCALE 
--		*** only verified locales are moved up here, the remaining entries will be deleted
--
--------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------

--------------------------------------------------------------------------------------------------
--		General Stuff
--------------------------------------------------------------------------------------------------
--
-- *** DO NOT LOCALIZE THESE! ***
-- Will be moved to a separate file later
--

L["AFK"] 										= _G.AFK
L["COMBAT_FACTION_CHANGE"] 						= _G.COMBAT_FACTION_CHANGE
L["COMBAT_HONOR_GAIN"] 							= _G.COMBAT_HONOR_GAIN
L["DND"] 										= _G.DND
L["GM"] 										= (gsub(_G.CHAT_FLAG_GM, "([%<%>%[%]]+)", ""))
L["FRIENDS"] 									= _G.FRIENDS
L["GUILD"] 										= _G.GUILD
L["GUILD_BANK"] 								= _G.GUILD_BANK
L["EQUIPMENT_SETS"] 							= (gsub(_G.EQUIPMENT_SETS, "([:]+)", "")):format("")


--------------------------------------------------------------------------------------------------
--		Modules
--------------------------------------------------------------------------------------------------
-- ActionButtons
L["SHIFT_KEY_SHORT"] 							= "S"
L["ALT_KEY_SHORT"] 								= "A"
L["CTRL_KEY_SHORT"] 							= "C"
L["MOUSEBUTTON_SHORT"] 							= "M"
L["MIDDLE_MOUSE_SHORT"] 						= "M3"
L["NUMPAD_KEY_SHORT"] 							= "N"

-- Bags
L["BAGS"] 										= "Bags"
L["BANK"] 										= "Bank"
L["FREE"] 										= "free"		-- used for free space in bags
L["GIZMOS"] 									= "Gizmos" 		-- used for "special" things like the toy train set
L["MAIN"] 										= "Main" 		-- used for the main bag category
L["RESTACK_TOOLTIP"] 							= "Left-Click to restack the items in your bags|nRight-Click for options"
L["RESTACK_AUTO"] 								= "Automatically restack items when opening your bags or the bank"
L["RESTACK_CRAFTING"] 							= "Automatically restack crafted items like Gems and Glyphs"
L["RESTACK_IN_SESSION"] 						= "Restack is already running, use |cFF4488FF/restackbags resume|r if stuck"
L["RESTACK_RESUMING"] 							= "Resuming restack operation"
L["RESTACK_NOTHING_TO_RESUME"] 					= "No running restack operation to resume"
L["BAGS_CLOSE_TOOLTIP"] 						= "Close this category and keep it hidden"
L["BAGS_CLOSE_ALL_TOOLTIP"] 					= "Close all your bags"
L["BAGS_BAGBAR_TOOLTIP"] 						= "Left-Click to toggle display of the Bag Bar"
L["BAGS_CURRENCIES_TOOLTIP"] 					= "Left-Click to open the currency frame"
L["BAGS_CATEGORIES_TOOLTIP"] 					= "Left-Click to open the category selection menu"
L["BAGS_COMPRESSION_ON"] 						= "Empty bag slots will now be compressed"
L["BAGS_COMPRESSION_OFF"] 						= "Empty bag slots will no longer be compressed"

-- Chat
L["GENERAL"] 									= "Main"
L["LOOT"] 										= "Loot"
L["COMBATLOG"] 									= "Log"
L["PUBLIC"] 									= "Public"

-- Chat: abbreviated channel names
L["CHANNEL_GUILD"] 								= "G"
L["CHANNEL_OFFICER"] 							= "O"
L["CHANNEL_PARTY"] 								= "P"
L["CHANNEL_PARTY_LEADER"] 						= "PL"
L["CHANNEL_DUNGEON_GUIDE"] 						= "DG"
L["CHANNEL_RAID"] 								= "R"
L["CHANNEL_RAID_LEADER"] 						= "RL"
L["CHANNEL_RAID_WARNING"] 						= "RW"
L["CHANNEL_BATTLEGROUND"] 						= "BG"
L["CHANNEL_BATTLEGROUND_LEADER"] 				= "BGL"

-- Chat: various abbreviations
L["COMBAT_GUILD_XP"] 							= "Guild XP"
L["COMBAT_HONORABLE_KILL"] 						= "HK"
L["COMBAT_XP"] 									= "XP"

-- Merchant
L["MESSAGE_AUTOSELLING_START"] 					= "Selling Poor Quality items:"
L["MESSAGE_AUTOSELLING"] 						= "-%s|cFF00DDDDx%d|r %s"
L["MESSAGE_SELLVALUE"] 							= "Earned %s"
L["MESSAGE_REPAIRCOST"] 						= "You repaired your items for %s"
L["MESSAGE_REPAIRCOST_GUILDBANK"] 				= "You repaired your items for %s using Guild Bank funds"
L["MESSAGE_NOT_ENOUGH_TO_REPAIR"]				= "You haven't got enough available funds to repair!"
L["MESSAGE_VENDORPROFIT"] 						= "Your profit is %s"
L["MESSAGE_VENDOREXPENSE"] 						= "Your expenses are %s"
L["MESSAGE_MERCHANT_AUTOSELL_ON"] 				= "Poor Quality items will now be automatically sold when visiting a vendor"
L["MESSAGE_MERCHANT_AUTOSELL_OFF"] 				= "Poor Quality items will no longer be automatically sold"
L["MESSAGE_MERCHANT_AUTOREPAIR_ON"] 			= "Your items will now be automatically repaired when visiting a vendor with repair capabilities"
L["MESSAGE_MERCHANT_AUTOREPAIR_OFF"] 			= "Your items will no longer be automatically repaired"
L["MESSAGE_MERCHANT_GUILDREPAIR_ON"] 			= "Your items will now be repaired using the Guild Bank if the options and the funds are available"
L["MESSAGE_MERCHANT_GUILDREPAIR_OFF"] 			= "Your items will now be repaired using your own funds"
L["MESSAGE_MERCHANT_DETAILS_ON"] 				= "Detailed reports for autoselling of Poor Quality items turned on"
L["MESSAGE_MERCHANT_DETAILS_OFF"] 				= "Detailed reports for autoselling of Poor Quality items turned off, only summary will be shown"
L["MERCHANT_OPTIONS_AUTOSELL"] 					= "Toggle autosell of Poor Quality items"
L["MERCHANT_OPTIONS_DETAILS"] 					= "Toggle display of detailed sales reports"
L["MERCHANT_OPTIONS_AUTOREPAIR"] 				= "Toggle autorepair of your armor"
L["MERCHANT_OPTIONS_GUILDREPAIR"] 				= "Toggle Guild Bank repairs"

-- Minimap
L["CALENDAR"] 									= "Calendar"
L["NEWEVENT"] 									= "New Event!"
L["NEWMAIL"] 									= "New Mail!"

-- Panels
L["PANEL_BAGS"] 								= "Bags"
L["PANEL_MAIL_NEW"] 							= "New Mail!"
L["PANEL_MAIL_NONE"] 							= "No Mail"
L["PANEL_RESTED"] 								= "Rested"
L["PANEL_RIGHTCLICKFOROPTIONS"] 				= "|nRight-Click for options"
L["PANEL_TOTAL"] 								= "Total"
L["PANEL_TOTAL_USAGE"] 							= "Total Usage"
L["PANEL_TRACKED_CURRENCIES"] 					= "Tracked Currencies"
L["PANEL_UNLISTED_ADDONS"] 						= "Unlisted AddOns"

-- UnitFrames
L["Ghost"] 										= "Ghost"

--------------------------------------------------------------------------------------------------
--		Help Menu
--------------------------------------------------------------------------------------------------
L["HELP"] = {}
tinsert(L["HELP"], "|cFF4488FF/glock|r - lock/unlock the frames for movement")
tinsert(L["HELP"], "|cFF4488FF/greset|r - reset the position of movable frames")
tinsert(L["HELP"], "|cFF4488FF/resetbars|r - reset the position of movable actionbars only")
tinsert(L["HELP"], "|cFF4488FF/resetbags|r - return the bags to their default position")
tinsert(L["HELP"], "|cFF4488FF/showsidebars|r, |cFF4488FF/hidesidebars|r - toggle display of both the side actionbars")
tinsert(L["HELP"], "|cFF4488FF/showrightbar|r, |cFF4488FF/hiderightbar|r - toggle display of the rightmost side actionbar")
tinsert(L["HELP"], "|cFF4488FF/showleftbar|r, |cFF4488FF/hideleftbar|r - toggle display of the leftmost side actionbar")
tinsert(L["HELP"], "|cFF4488FF/showpet|r, |cFF4488FF/hidepet|r - toggle display of the pet actionbar")
tinsert(L["HELP"], "|cFF4488FF/showshift|r, |cFF4488FF/hideshift|r - toggle display of the shift/stance/aspect actionbar")
tinsert(L["HELP"], "|cFF4488FF/showtotem|r, |cFF4488FF/hidetotem|r - toggle display of the totembar")
tinsert(L["HELP"], "|cFF4488FF/showmini|r, |cFF4488FF/hidemini|r - toggle display of the mini/micromenu")
tinsert(L["HELP"], "|cFF4488FF/rl|r - reload the user interface")
tinsert(L["HELP"], "|cFF4488FF/gm|r - opens the help frame")
tinsert(L["HELP"], "|cFF4488FF/showchatbrackets|r - show brackets around player- and channel names in chat")
tinsert(L["HELP"], "|cFF4488FF/hidechatbrackets|r - hide brackets from player- and channel names in chat")
tinsert(L["HELP"], "|cFF4488FF/chatmenu|r - opens the chatframe menu")
tinsert(L["HELP"], "|cFF4488FF/mapmenu|r - opens the Minimap middle-click menu")
tinsert(L["HELP"], "|cFF4488FF/tt|r or |cFF4488FF/wt|r - whispers your current target")
tinsert(L["HELP"], "|cFF4488FF/tf|r or |cFF4488FF/wf|r - whispers your current focus target")
tinsert(L["HELP"], "|cFF4488FF/showhotkeys|r, |cFF4488FF/hidehotkeys|r - toggle hotkeys on actionbuttons")
tinsert(L["HELP"], "|cFF4488FF/shownames|r, |cFF4488FF/hidenames|r - toggle macro name display on actionbuttons")
tinsert(L["HELP"], "|cFF4488FF/enableautorepair|r - enable automatic repairs of your armor")
tinsert(L["HELP"], "|cFF4488FF/disableautorepair|r - disable automatic repairs of your armor")
tinsert(L["HELP"], "|cFF4488FF/enableguildrepair|r - use guild funds when available to repair your armor")
tinsert(L["HELP"], "|cFF4488FF/disableguildrepair|r - disable the use of guild funds for repairs")
tinsert(L["HELP"], "|cFF4488FF/enableautosell|r - enable automatic selling of poor quality loot")
tinsert(L["HELP"], "|cFF4488FF/disableautosell|r - disable automatic selling of poor quality loot")
tinsert(L["HELP"], "|cFF4488FF/enabledetailedreport|r - shows a detailed per item sales report for poor loot")
tinsert(L["HELP"], "|cFF4488FF/disabledetailedreport|r - disables the detailed reports and only shows totals")
tinsert(L["HELP"], "|cFF4488FF/mainspec|r - activate your main talent specialization")
tinsert(L["HELP"], "|cFF4488FF/offspec|r - activate your secondary talent specialization")
tinsert(L["HELP"], "|cFF4488FF/togglespec|r - toggle between your dual talent specializations")
tinsert(L["HELP"], "|cFF4488FF/ghelp|r - shows this menu")
--tinsert(L["HELP"], "|cFF4488FF |r ")


--------------------------------------------------------------------------------------------------
--		Slash Command Messages
--------------------------------------------------------------------------------------------------


--------------------------------------------------------------------------------------------------
--		Options Menu
--------------------------------------------------------------------------------------------------


--------------------------------------------------------------------------------------------------
--		Keybinds Menu (Blizzard)
--------------------------------------------------------------------------------------------------
L["KEYBIND_gBAGS_TOGGLE_CALENDAR"] 				= "Toggle Calendar"
L["KEYBIND_CHAT_WHISPER_FOCUS"] 				= "Whisper focus"
L["KEYBIND_CHAT_WHISPER_TARGET"] 				= "Whisper target"


--------------------------------------------------------------------------------------------------
--		Error Messages 
--------------------------------------------------------------------------------------------------
L["ERROR_TOGGLEBARSINCOMBAT"] 					= "Can't toggle Action Bars while engaged in combat!"
L["MOVABLE_NOTINCOMBAT"] 						= "Frames cannot be moved while engaged in combat"
L["MOVABLE_HIDEINCOMBAT"] 						= "Hiding movable frame anchors due to combat"


--------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------
--
--		END OF V2 LOCALE
--
--------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------