﻿local M = LibStub("gMedia-3.0")
assert(M, "Couldn't find an instance of gMedia-3.0")

local path = "Interface\\AddOns\\gBags\\media\\"

M:Register("Button", 		"UICloseButton", 				path .. "texture\\UICloseButton.tga")
M:Register("Button", 		"UICloseButtonDown", 			path .. "texture\\UICloseButtonDown.tga")
M:Register("Button", 		"UICloseButtonDisabled", 		path .. "texture\\UICloseButtonDisabled.tga")
M:Register("Button", 		"UICloseButtonHighlight", 		path .. "texture\\UICloseButtonHighlight.tga")

M:Register("Background", 	"ItemButton", 					path .. "texture\\ItemButton.tga")
M:Register("Background", 	"MildSatin", 					path .. "texture\\MildSatin.tga")
M:Register("Background", 	"Satin", 						path .. "texture\\MildSatin.tga")

M:Register("Border", 		"Glow", 						path .. "texture\\glowtex.tga")
M:Register("Border", 		"PixelBorder", 					path .. "texture\\PixelBorder.tga")
M:Register("Border", 		"PixelBorder2", 				path .. "texture\\PixelBorder2.tga")

M:Register("Font", 			"Big Noodle Titling", 			path .. "fonts\\BigNoodleTitling.ttf")
M:Register("Font", 			"Waukegan LDO", 				path .. "fonts\\Waukegan LDO.ttf")

M:Register("Icon", 			"BagIcon", 						path .. "icons\\BagIcon.tga")
M:Register("Icon", 			"BagIconDisabled", 				path .. "icons\\BagIconDisabled.tga")
M:Register("Icon", 			"BagIconHighlight", 			path .. "icons\\BagIconHighlight.tga")
M:Register("Icon", 			"BagIconPushed", 				path .. "icons\\BagIconPushed.tga")
M:Register("Icon", 			"BagRestack", 					path .. "icons\\BagRestackIcon.tga")
M:Register("Icon", 			"BagRestackDisabled", 			path .. "icons\\BagRestackIconDisabled.tga")
M:Register("Icon", 			"BagRestackHighlight", 			path .. "icons\\BagRestackIconHighlight.tga")
M:Register("Icon", 			"BagRestackPushed", 			path .. "icons\\BagRestackIconPushed.tga")

M:Register("StatusBar", 	"ProgressBar", 					path .. "texture\\progressbar.tga")

M:Register("Backdrop", "Glow", {
	edgeFile 	= M["Border"]["Glow"];
	edgeSize 	= 3;
	insets = { 
		bottom 	= 0; 
		left 	= 0; 
		right 	= 0; 
		top 	= 0; 
	};
})

M:Register("Backdrop", "PixelBorder", {
	edgeFile 	= M["Border"]["PixelBorder"]; 
	edgeSize 	= 8;
	insets = { 
		bottom 	= 0; 
		left 	= 0; 
		right 	= 0; 
		top 	= 0; 
	};
})

M:Register("Backdrop", "PixelBorder-Satin", {
	bgFile 		= M["Background"]["MildSatin"]; 
	edgeFile 	= M["Border"]["PixelBorder"]; 
	edgeSize 	= 8;
	insets = { 
		bottom 	= 2; 
		left 	= 2; 
		right 	= 2; 
		top 	= 2; 
	};
})

M:Register("Backdrop", "PixelBorder-Blank", {
	bgFile 		= M["Background"]["Blank"]; 
	edgeFile 	= M["Border"]["PixelBorder"]; 
	edgeSize 	= 8;
	insets = { 
		bottom 	= 2; 
		left 	= 2; 
		right 	= 2; 
		top 	= 2; 
	};
})

M:Register("Backdrop", "ItemButton", {
	bgFile 		= M["Background"]["ItemButton"]; 
	edgeFile 	= M["Border"]["PixelBorder"]; 
	edgeSize 	= 8;
	insets = { 
		bottom 	= 2; 
		left 	= 2; 
		right 	= 2; 
		top 	= 2; 
	};
})

M:Register("Backdrop", "TargetBorder", {
	bgFile 		= nil; 
	edgeFile 	= M["Background"]["Blank"]; 
	edgeSize 	= 2;
	insets = { 
		bottom 	= 0; 
		left 	= 0; 
		right 	= 0; 
		top 	= 0; 
	};
})

