﻿local addon, ns = ...
local L

L = {
	------------------------------------------------------------
	--		GUI Options
	------------------------------------------------------------
	["GUI_OPTIONS"] 							= "Options";
	["GUI_OPTIONS_DESCRIPTION"] 				= "Choose your options from the menu on the left";

	["SETTINGS_LOADED"] 						= "Settings loaded for %s - %s";
	
	["GUI_VENDOROPTIONS"]						= "Merchant Options";
	["GUI_VENDOR_AUTOSELL"] 					= "Automatically sell gray quality loot";
	["GUI_VENDOR_AUTOREPAIR"] 					= "Automatically repair your items when visiting a repair merchant";
	["GUI_VENDOR_GUILDREPAIR"] 					= "Use Guild Funds to repair when available";
	["GUI_VENDOR_DETAILEDREPORT"] 				= "Show detailed report of sold junk, disable to only show profit/loss and repair cost";

	------------------------------------------------------------
	--		Vendor Messages
	------------------------------------------------------------
	["MESSAGE_AUTOSELLING_START"] 				= "Selling Poor Quality items:";
	["MESSAGE_AUTOSELLING"] 					= "-%s|cFF00DDDDx%d|r %s";
	["MESSAGE_SELLVALUE"] 						= "Earned %s";
	["MESSAGE_REPAIRCOST"] 						= "You repaired your items for %s";
	["MESSAGE_REPAIRCOST_USING_GUILD"] 			= "You repaired your items for %s using the Guild Bank";
	["MESSAGE_NOT_ENOUGH_TO_REPAIR"]			= "You haven't got enough available funds to repair!";
	["MESSAGE_VENDORPROFIT"] 					= "Your profit is %s";
	["MESSAGE_VENDOREXPENSE"] 					= "Your expenses are %s";
}
gLib:AddLocale( addon, nil, L );

-- deDE
-- credits to b3n @ WoWInterface for providing this
L = {
	------------------------------------------------------------
	-- GUI Options
	------------------------------------------------------------
	["GUI_OPTIONS"] 							= "Optionen";
	["GUI_OPTIONS_DESCRIPTION"] 				= "W\195\164hle eine Option aus dem linken Men\195\188";

	["SETTINGS_LOADED"] 						= "Einstellungen geladen f\195\188r %s - %s";

	["GUI_VENDOROPTIONS"] 						= "Merchant Optionen";
	["GUI_VENDOR_AUTOSELL"] 					= "Automatisch graue Items verkaufen";
	["GUI_VENDOR_AUTOREPAIR"] 					= "Automatisch Items reparieren beim Besuchen eines H\195\164ndlers";
	["GUI_VENDOR_GUILDREPAIR"] 					= "Gildenbank f\195\188r die Reparaturen benutzen";
	["GUI_VENDOR_DETAILEDREPORT"] 				= "Detailierte Statistik der verkauften Items anzeigen, deaktivieren um nur Gewinn/Verlust und Reparaturkosten zu zeigen";

	------------------------------------------------------------
	-- Vendor Messages
	------------------------------------------------------------
	["MESSAGE_AUTOSELLING_START"] 				= "Verkaufe graue Items:";
	["MESSAGE_AUTOSELLING"] 					= "-%s|cFF00DDDDx%d|r %s";
	["MESSAGE_SELLVALUE"] 						= "Erhalten %s";
	["MESSAGE_REPAIRCOST"] 						= "Items repariert f\195\188r %s";
	["MESSAGE_REPAIRCOST_USING_GUILD"] 			= "Items repariert f\195\188r %s aus der Gildenbank";
	["MESSAGE_NOT_ENOUGH_TO_REPAIR"] 			= "Du hast nicht genug Gold um deine Items zu reparieren!";
	["MESSAGE_VENDORPROFIT"] 					= "Dein Gewinn %s";
	["MESSAGE_VENDOREXPENSE"] 					= "Deine Ausgaben %s";
}
gLib:AddLocale( addon, "deDE", L );

-- frFR
-- credits to ckeurk @ WoWInterface for providing this
L = {
	------------------------------------------------------------
	-- GUI Options
	------------------------------------------------------------
	["GUI_OPTIONS"] 							= "Options";
	["GUI_OPTIONS_DESCRIPTION"] 				= "Choisissez vos options dans le menu sur la gauche";

	["SETTINGS_LOADED"] 						= "Paramètres chargé pour %s - %s";
	
	["GUI_VENDOROPTIONS"]						= "Marchand Options";
	["GUI_VENDOR_AUTOSELL"] 					= "Vend automatiquement les objets gris";
	["GUI_VENDOR_AUTOREPAIR"] 					= "Répare automatiquement vos objets en visitant un marchand réparateur";
	["GUI_VENDOR_GUILDREPAIR"] 					= "Utiliser les po de la guilde pour réparer lorsqu'il sera disponible";
	["GUI_VENDOR_DETAILEDREPORT"] 				= "Voir le rapport détaillé de la camelote vendue, désactiver pour n'afficher que les profits/pertes et les coûts de réparation";

	------------------------------------------------------------
	--		Vendor Messages
	------------------------------------------------------------
	["MESSAGE_AUTOSELLING_START"] 				= "Vendre des articles de qualité mauvaise:";
	["MESSAGE_AUTOSELLING"] 					= "-%s|cFF00DDDDx%d|r %s";
	["MESSAGE_SELLVALUE"] 						= "Obtenir %s";
	["MESSAGE_REPAIRCOST"] 						= "Vous réparer vos objets pour %s";
	["MESSAGE_REPAIRCOST_USING_GUILD"] 			= "Vous réparé vos articles pour %s en utilisant la banque de guilde";
	["MESSAGE_NOT_ENOUGH_TO_REPAIR"]			= "Vous n'avez pas assez de fonds disponibles pour réparer!";
	["MESSAGE_VENDORPROFIT"] 					= "Votre bénéfice est de %s";
	["MESSAGE_VENDOREXPENSE"] 					= "Vos dépenses sont de %s";
}
gLib:AddLocale( addon, "frFR", L );

-- zhTW
-- credits to spring64783 @ Curse and WoWInterface for this one! :)
L = {
	------------------------------------------------------------
	--		GUI Options
	------------------------------------------------------------
	["GUI_OPTIONS"] 							= "選項";
	["GUI_OPTIONS_DESCRIPTION"] 				= "從左邊的設定選單裡面選擇設定";

	["SETTINGS_LOADED"] 						= "設定加載 %s - %s";
	
	["GUI_VENDOROPTIONS"]						= "Merchant 設定";
	["GUI_VENDOR_AUTOSELL"] 					= "自動賣出灰色物品";
	["GUI_VENDOR_AUTOREPAIR"] 					= "自動修理裝備物品";
	["GUI_VENDOR_GUILDREPAIR"] 					= "使用公會資金修理裝備";
	["GUI_VENDOR_DETAILEDREPORT"] 				= "顯示出售的灰色物品資料清單；禁用:只顯示盈餘、虧損及維修費用";

	------------------------------------------------------------
	--		Vendor Messages
	------------------------------------------------------------
	["MESSAGE_AUTOSELLING_START"] 				= "出售的物品項目清單：";
	["MESSAGE_AUTOSELLING"] 					= "-%s|cFF00DDDDx%d|r %s";
	["MESSAGE_SELLVALUE"] 						= "利潤: %s";
	["MESSAGE_REPAIRCOST"] 						= "維修費用: %s";
	["MESSAGE_REPAIRCOST_USING_GUILD"] 			= "公會銀行資金提出 %s 用來維修裝備";
	["MESSAGE_NOT_ENOUGH_TO_REPAIR"]			= "你沒有足夠的資金可以使用來修理裝備!";
	["MESSAGE_VENDORPROFIT"] 					= "盈餘: %s";
	["MESSAGE_VENDOREXPENSE"] 					= "支出: %s";
}
gLib:AddLocale( addon, "zhTW", L );