
  -- // rBuffFrameStyler
  -- // zork - 2010

  -----------------------------
  -- INIT
  -----------------------------
  
  --get the addon namespace
  local addon, ns = ...
  
  --generate a holder for the config data
  local cfg = CreateFrame("Frame")
  
  -----------------------------
  -- CONFIG
  -----------------------------
  
  cfg.buffframe = {
    scale           = 0.7,
    pos             = { a1 = "TOPRIGHT", af = "Minimap", a2 = "TOPLEFT", x = -6, y = 2 }, 
    userplaced      = false, --want to place the bar somewhere else?
    locked          = true, --frame locked, can be unlocked ingame via /rbuff
    rowSpacing      = 5,
    colSpacing      = 5,
    buffsPerRow     = 40,
    gap             = 14, --gap in pixel between buff and debuff
  }

  cfg.tempenchant = {
    scale           = 0.7,
    pos             = { a1 = "TOP", af = "Minimap", a2 = "BOTTOM", x = 36, y = -4 }, 
    userplaced      = false,--want to place the bar somewhere else?
    locked          = true, --frame locked, can be unlocked ingame via /rbuff
    colSpacing      = 5,
  }  
  
  cfg.textures = {
    normal            = "Interface\\AddOns\\rBuffFrameStyler\\media\\gloss",
    outer_shadow      = "Interface\\AddOns\\rBuffFrameStyler\\media\\outer_shadow",
  }
  
  cfg.background = {
    showshadow        = false,   --show an outer shadow?
    shadowcolor       = { r = 0, g = 0, b = 0, a = 0.9},
    inset             = 5, 
  }
  
  cfg.color = {
    normal            = { r = 0.05, g = 0.05, b = 0.05, },
    classcolored      = false,
  }
  
  cfg.duration = {
    fontsize        = 12,
    pos             = { a1 = "BOTTOM", x = 0, y = -13 }, 
  }
  
  cfg.count = {
    fontsize        = 18,
    pos             = { a1 = "TOPRIGHT", x = 0, y = 0 }, 
  }
  
  cfg.font = "Fonts\\FRIZQT__.TTF"

  -----------------------------
  -- HANDOVER
  -----------------------------
  
  --hand the config to the namespace for usage in other lua files (remember: those lua files must be called after the cfg.lua)
  ns.cfg = cfg
